package com.caimei.modules.club.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class NewCmClub implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private Integer clubId;        // 会所Id
    private Integer userId;        // 用户Id
    private Integer userOrganizeId;//用户组织Id
    private String name;        // 会所名称
    private String sname;        // 简称
    private String logo;        // logo
    private String legalPerson;        // 法人
    private Integer provinceId;        // 省
    private Integer cityId;        // 市
    private Integer townId;        // 地址Id
    private String flag;        // 拉会所上线的用户的cmBindId,以逗号结尾
    private Integer inviterBindId;        // 邀请者cmBindId
    private String inviterName;        // 邀请者名称
    private Integer spId;        // 协销Id
    private Integer mainServiceProviderId;        // 协销经理Id
    private Date scanTime;        // 扫描时间
    private String address;        // 详细地址
    private String linkMan;        // 联系人
    private String contractPhone;        // 联系电话
    private String contractMobile;        // 联系手机
    private String fax;        // 传真
    private String info;        // 公司简介
    private String addTime;        // 注册时间
    private String auditTime;        // 审核时间
    private String auditNote;        // 审核备注
    private Integer status;        // 状态
    private String recAddress;        // 收货地址
    private String businessLicenseImage;        // 营业执照
    private Integer defaultServiceProviderId;        // 默认的创客
    private String defaultServiceProviderUpdTime;        // 创客更新时间
    private String scale;        // 规模
    private Integer empnum;        // 员工数
    private String mainpro;        // 主打项目
    private String remark;        // 备注
    private String scanFlag;        // 扫描状态 0待扫描 1 已扫描 2已上线
    private String headpic;        // 门头照
    private Date lastModify;        // 最后更新时间
    private Integer firstClubType; // 一级分类为医美=1和生美=2
    private String secondClubType; // 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
    private String department; // 若为医美分类下的门诊和医院则需要填写科室。
    private String medicalPracticeLicenseImg; // 医疗执业许可证
    private String socialCreditCode;//统一社会编码
    private String checkMan;

    /**
     * 非持久化字段
     */
    private String spName; //创客名称
    private String account;//企业会所用户账号
    private String mobile;
    private String fromUserName;
    private Integer userLevelId;
    private Date registerTime;
    private String town; // 区
    private String city; // 市
    private String province; //省
    private String startTime;     //注册时间开始 查询条件
    private String endTime;        //注册时间结束  查询条件
}