package com.caimei.modules.groupbuy.entity;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import nonapi.io.github.classgraph.json.Id;
import org.springframework.data.mongodb.core.mapping.Document;


@Document(collection = "procureCollection")
@Data
@ToString
public class ProcurePo {
    /**
     * id
     */
    @Id
    private String id;

    @ApiModelProperty("发布人userId")
    private String userId;

    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("商品名称")
    private String productName;

    @ApiModelProperty("期望单价")
    private String price;

    @ApiModelProperty("购买数量")
    private String number;

    @ApiModelProperty("创建时间")
    private Long saveTime;

    @ApiModelProperty("创建人Id")
    private String createUserId;

    @ApiModelProperty("是否实现 0 未实现 1 已实现")
    private String isAchieve;

    @ApiModelProperty("是否删除 0 未删除 其他删除")
    private String delFlag;

    @ApiModelProperty("机构名称")
    private String clubName;
}
