package com.caimei.modules.homepage.enity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 */
@ApiModel("活动")
@Data
public class Active implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    private Integer organizeId;
    private String topic;
    @ApiModelProperty("0停用 1启用")
    private Integer enabledStatus;

    @ApiModelProperty("活动类型 1商品列表 2宣传图（一张） 3宣传图（多张）")
    private Integer activeType;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;

    @ApiModelProperty("回显商品")
    @TableField(exist = false)
    private List<BackProduct> products;

    @ApiModelProperty("活动类型不为1则用images")
    @TableField(exist = false)
    private List<ActiveImages> images;
}
