package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.CmReturnedPurchaseProduct;
import com.caimei.modules.order.entity.NewOrderProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmReturnedPurchaseProductDao {

    List<CmReturnedPurchaseProduct> findList(CmReturnedPurchaseProduct cmReturnedPurchaseProduct);

    List<CmReturnedPurchaseProduct> getCmReturnedPurchaseProductList(CmReturnedPurchaseProduct purchaseProduct);

    List<CmReturnedPurchaseProduct> findListByReturnTime(@Param("orderId") Integer orderId, @Param("shopOrderId") Integer shopOrderId, @Param("orderProductId") Integer orderProductId, @Param("returnTime") String returnTime);

    List<NewOrderProduct> findProductByShopOrder(Integer shopOrderId, Integer returnId);
}
