package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.NewShopOrder;
import com.caimei.modules.order.entity.OrderPayShop;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface NewShopOrderDao {

    NewShopOrder get(Integer shopOrderId);

    NewShopOrder findByShopOrderId(Integer shopOrderId);

    List<NewShopOrder> findListByOrderId(Integer orderId);

    void update(NewShopOrder shopOrder);

    Integer findUnPaidShopOrder(Integer orderId);

    void outPaying(Integer id);

    Integer getPayingStatus(Integer id);

    void inPaying(Integer payShopId);

    List<NewShopOrder> findPayShopOrderList(OrderPayShop orderPayShop);

    NewShopOrder findColdChain(Integer orderId);

    List<Integer> findSettleStatus(Integer orderId);

    NewShopOrder findColdChainShopOrder(Integer orderId);
}
