package com.caimei.modules.order.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ApiModel(description="发货批次实体")
@Data
public class LogisticsBatch {
    @ApiModelProperty("发货批次id")
    private Integer id;
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    @ApiModelProperty("主订单Id")
    private Integer orderId;
    @ApiModelProperty("第几批发货")
    private Integer outStoreTimes;
    @ApiModelProperty("邮寄者 0采美,1供应商,2组织")
    private Integer mailer;
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    @ApiModelProperty("最后更新时间")
    private Date updateDate;
    @ApiModelProperty("发货时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;
    @ApiModelProperty("收货时间")
    private Date receiptTime;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("备注图片,以##隔开")
    private String remarkImage;
    @ApiModelProperty("订单信息")
    NewOrder newOrder;
}
