package com.caimei.modules.order.service.impl;

import com.caimei.modules.order.dao.CmReceiptOrderRelationDao;
import com.caimei.modules.order.dao.NewOrderDao;
import com.caimei.modules.order.entity.CmReceiptOrderRelation;
import com.caimei.modules.order.entity.NewOrder;
import com.caimei.modules.order.service.CmReceiptOrderRelationService;
import com.caimei.utils.ReceivablesType;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CmReceiptOrderRelationServiceImpl implements CmReceiptOrderRelationService {

    @Resource
    private CmReceiptOrderRelationDao cmReceiptOrderRelationDao;

    @Override
    public List<Integer> toAudit(NewOrder order) {
        return cmReceiptOrderRelationDao.toAudit(order.getOrderId());
    }

    @Override
    public List<CmReceiptOrderRelation> findByOrderId(Integer orderId) {
        return cmReceiptOrderRelationDao.findByOrderId(orderId);
    }
}
