package com.caimei.modules.shiro.dao;

import com.caimei.modules.order.entity.NewOrderProduct;
import com.caimei.modules.shiro.entity.SysDict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HomePageDao {

    Long findTotalFee(@Param("endTime") String endTime, @Param("startTime") String startTime, @Param("organizeId") Integer organizeId);

    Long findBalance(@Param("endTime") String endTime, @Param("startTime") String startTime, @Param("organizeId") Integer organizeId);

    Long findAssociate(@Param("endTime") String endTime, @Param("startTime") String startTime, @Param("organizeId") Integer organizeId);

    Integer orderQuantity(@Param("endTime") String endTime, @Param("startTime") String startTime, @Param("receiptStatus") String receiptStatus, @Param("organizeId") Integer organizeId);

    List<NewOrderProduct> commodity(@Param("endTime") String endTime, @Param("startTime") String startTime, @Param("organizeId") Integer organizeId);

    List<SysDict> dictionaries(SysDict sysDict);
}
