package com.caimei.modules.homepage.dao;

import com.caimei.modules.homepage.enity.Active;
import com.caimei.modules.homepage.enity.ActiveImages;
import com.caimei.modules.homepage.enity.BackProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zzj
 */
@Mapper
public interface ActiveDao {

    void insertActive(Active active);

    void delProducts(Integer id);

    void delImages(Integer id);

    void insertImages(ActiveImages images);

    void insertProducts(Integer id, Integer productId, Integer sort);

    void updateActive(Active active);

    void insertImageProduct(@Param("activeId")Integer activeId, @Param("imageId")Integer imageId, @Param("productId") Integer productId, @Param("sort")Integer sort);

    List<Active> findActiveList(Active active);

    void checkActiveStatus(Integer id);

    void delActive(Integer id);

    Active findActiveById(Integer id);

    List<ActiveImages> findImageList(Integer id);

    List<BackProduct> findProducts(Integer id);

    List<BackProduct> findProductsByImage(Integer id);

    void delActiveImage(Integer id);

    void delActiveProduct(Integer id);
}
