package com.caimei.modules.homepage.enity;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 */
@Data
public class Banner implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    private Integer organizeId;
    private String bannerName;
    private Integer sort;

    private String bannerImage;
    /**
     * 状态 0停用 1启用
     */
    private Integer enabledStatus;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;
    /**
     * 跳转类型 1商品详情 2活动列表
     */
    private Integer jumpType;
    /**
     * 跳转活动Id
     */
    private Integer jumpActiveId;
    /**
     * 跳转商品Id
     */
    private Integer jumpProductId;
    /**
     * 回显商品信息
     */
    private List<BackProduct> products;
}
