package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.CmOrderRemark;
import com.caimei.modules.order.entity.OssFile;
import com.caimei.modules.order.entity.RemarkImage;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CmOrderRemarkDao{

    List<CmOrderRemark> findList(Integer shopOrderID);

    void insert(CmOrderRemark remark);

    void update(CmOrderRemark remark);

    List<String> findImages(Integer id);

    List<OssFile> findFiles(Integer id);

    OssFile findFileByMd5(String md5Hex);

    OssFile findRemarkById(Integer fileId);

    void insertImage(RemarkImage i);

    void insertFile(OssFile o);
}
