package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(description = "订单备注")
@Data
public class CmOrderRemark implements Serializable {

    private Integer id;
    private Integer orderId;
    private Integer shopOrderId;
    private Integer createBy;
    @ApiModelProperty("备注")
    private String remarks;
    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;
    @ApiModelProperty("创建者")
    private String createName;
    @ApiModelProperty("图片")
    private List<String> images;
    @ApiModelProperty("上传文件")
    private List<OssFile> ossFiles;
    @ApiModelProperty("订单信息")
    NewOrder newOrder;
}
