package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zzj
 */
@ApiModel(description = "发货实体对象")
@Data
public class DeliverDto {

    @ApiModelProperty("发货订单商品")
    private List<NewOrderProduct> orderProducts;

    @ApiModelProperty("发货图片")
    private List<String> images;

    @ApiModelProperty("发货备注")
    private String remark;

    @ApiModelProperty("快递物流信息")
    private List<Transportation> transportations;
}
