package com.caimei.modules.order.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel(description="发货记录")
@Data
public class LogisticsRecord{

    @ApiModelProperty("发货物流批次Id")
    private Integer logisticsBatchId;
    @ApiModelProperty("订单Id")
    private Integer orderId;
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    @ApiModelProperty("订单商品Id")
    private Integer orderProductId;
    @ApiModelProperty("商品购买数量")
    private Integer buyNum;
    @ApiModelProperty("此次发货数量")
    private Integer num;
    @ApiModelProperty("商品Id")
    private Integer productId;
    @ApiModelProperty("商品名称")
    private String productName;
    @ApiModelProperty("商品图片")
    private String image;
    @ApiModelProperty("规格")
    private String unit;
}
