package com.caimei.modules.order.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zzj
 */
@ApiModel(description = "分账记录")
@Data
public class SplitRecord implements Serializable {

    @ApiModelProperty("子订单id")
    private Integer shopOrderId;
    @ApiModelProperty("分账时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String splitTime;
    @ApiModelProperty("分账金额")
    private Double splitAccount;
    @ApiModelProperty("分账类型:1供应商,2供应商运费,3采美佣金,5组织佣金")
    private Integer productType;
}
