package com.caimei.modules.products.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 小程序商城商品Entity
 *
 * @author lijun
 * @version 2019-12-04
 */
@Data
public class CmMallOrganizeProducts implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String organizeId;        // 组织Id,具体对应cm_mall_organize表Id
    private String productId;        // 商品Id,具体对应product表
    private String cmProductId;     // 采美商品id
    private String normalPrice;        // 市场价
    private String price;        // 售价
    private String minBuyNumber;        // 最小起订量
    private Integer validFlag;        // 商品状态,1已上架,2已下架
    private Date addTime;        // 添加时间
    /**
     * 规格
     */
    private String unit;
    /**
     * 成本价
     */
    private Double costPrice;
    private List<Sku> skus;
    //非小程序商城商品信息
    private String mainImage;//商品图片
    private String productName;//商品名称
    private String shopName;//供应商名称

}
