package com.caimei.modules.products.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zzj
 */

@ApiModel("商品sku")
@Data
public class Sku {

    @ApiModelProperty("外部商城skuId")
    private Integer id;
    @ApiModelProperty("外部商城商品Id")
    private Integer productId;
    @ApiModelProperty("采美skuId")
    private Integer skuId;
    @ApiModelProperty("起订量")
    private Integer minBuyNumber;
    @ApiModelProperty("成本价")
    private Double costPrice;
    @ApiModelProperty("售价")
    private Double price;
    @ApiModelProperty("包装规格")
    private String unit;
    @ApiModelProperty("库存")
    private String stock;
    @ApiModelProperty("分账组织佣金比例")
    private Integer organizePercent;
    @ApiModelProperty("分账供应商成本比例")
    private Integer  shopPercent;
    @ApiModelProperty("分账采美佣金比例")
    private Integer cmPercent;
}
